Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Interface OpenMBeanOperationInfo

All Known Implementing Classes:
  OpenMBeanOperationInfoSupport

public interface OpenMBeanOperationInfo

An open MBean operation info implements this interface as well as extending MBeanOperationInfo.

`OpenMBeanOperationInfoSupport` is an example of such a class.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`String` | `getDescription()` Retrieve a human readable description of the open MBean operation the implementation of this interface describes.
`int` | `getImpact()` Retrieves the impact of the operation. One of `MBeanOperationInfo.INFO` `MBeanOperationInfo.ACTION` `MBeanOperationInfo.ACTION_INFO`
`String` | `getName()` Retrieve the name of the operation described.
`OpenType` | `getReturnOpenType()` Retrieves the open type return type of operation.
`String` | `getReturnType()` Retrieves the return type of operation. This must be same as getReturnOpenType().getClassName()
`MBeanParameterInfo[]` | `getSignature()` Returns an array of the parameters passed to the operation
`int` | `hashCode()` Generates a hashcode for the implementation.
`String` | `toString()` A string representation of the open mbean operation info.

Method Detail

### getDescription

    public String getDescription()

  Retrieve a human readable description of the open MBean operation the implementation of this interface describes.

  Returns:
    the description.

### getName

    public String getName()

  Retrieve the name of the operation described.

  Returns:
    the name.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns an array of the parameters passed to the operation

  The parameters must be OpenMBeanParameterInfos.

  Returns:
    the operation's parameters.

### getImpact

    public int getImpact()

  Retrieves the impact of the operation. One of
  `MBeanOperationInfo.INFO`
  `MBeanOperationInfo.ACTION`
  `MBeanOperationInfo.ACTION_INFO`

  Returns:
    the impact.

### getReturnType

    public String getReturnType()

  Retrieves the return type of operation. This must be same as getReturnOpenType().getClassName()

  Returns:
    the return type.

### getReturnOpenType

    public OpenType getReturnOpenType()

  Retrieves the open type return type of operation.

  Returns:
    the open type of the return type.

### equals

    public boolean equals(Object obj)

  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean operation info interface
  The operation names are equal
  The signatures are equal
  The return types are equal
  The impacts are equal

  Parameters:
    `obj` - the object to test
  Returns:
    true when above is true, false otherwise

### hashCode

    public int hashCode()

  Generates a hashcode for the implementation.

  The sum of the hashCodes for the elements mentioned in the equals method

  Returns:
    the calculated hashcode

### toString

    public String toString()

  A string representation of the open mbean operation info.

  It is made up of implementation class and the values mentioned in the equals method

  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.